package com.bofeng.service;

import com.bofeng.dao.QzTaskDao;
import com.bofeng.entity.QzTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(readOnly = true)
public class QzTaskService {

    @Autowired
    private QzTaskDao qzTaskDao;

    public List<QzTask> selectAll () {
        return qzTaskDao.selectAll();
    }

    public List<QzTask> queryByHouseNumber (String houseNumber, Integer status) {
        return qzTaskDao.queryByHouseNumber(houseNumber, status);
    }

    public QzTask queryByTaskId (Long taskId) {
        return qzTaskDao.queryByTaskId(taskId);
    }
}
